*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${addDeviceToOrgAsyncUrl}    IDeviceService

*** Keywords ***
AddDeviceToOrgAsyncPost
    [Arguments]    ${token}    ${uniqueCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    UniqueCode    ${uniqueCode}
    ${body}    Generate Params    AddDeviceToOrgAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${addDeviceToOrgAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
