*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${findDevicesByOrganizationCodeAsyncUrl}    IDeviceService

*** Keywords ***
FindDevicesByOrganizationCodeAsyncPost
    [Arguments]    ${token}    ${organizationCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    ${body}    Generate Params    FindDevicesByOrganizationCodeAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${findDevicesByOrganizationCodeAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
