*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getDeviceInfoAsyncUrl}    IDeviceService

*** Keywords ***
GetDeviceInfoAsyncPost
    [Arguments]    ${token}    ${deviceCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    DeviceCode    ${deviceCode}
    ${body}    Generate Params    GetDeviceInfoAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getDeviceInfoAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
