*** Settings ***
Library           String
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${modifyDeviceAsyncUrl}    IDeviceService

*** Keywords ***
ModifyDeviceAsyncPost
    [Arguments]    ${token}    ${deviceCode}    ${name}    ${headPicUrl}    ${departmentCode}    ${isAutoShared}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    DeviceCode    ${deviceCode}
    Set To Dictionary    ${param}    Name    ${name}
    Set To Dictionary    ${param}    HeadPicUrl    ${headPicUrl}
    Set To Dictionary    ${param}    DepartmentCode    ${departmentCode}
    ${isAutoShared1}    Convert To Boolean    ${isAutoShared}
    Set To Dictionary    ${param}    IsAutoShared    ${isAutoShared1}
    ${body}    Generate Params    ModifyDeviceAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${modifyDeviceAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
