*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${findPatientOrganizationsByPageAsyncUrl}    IOrganizationService

*** Keywords ***
FindPatientOrganizationsByPageAsyncPost
    [Arguments]    ${token}    ${pageIndex}    ${pageSize}    ${keyWord}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${pageIndex1}    Convert To Integer    ${pageIndex}
    Set To Dictionary    ${param}    PageIndex    ${pageIndex1}
    ${pageSize1}    Convert To Integer    ${pageSize}
    Set To Dictionary    ${param}    PageSize    ${pageSize1}
    set To Dictionary    ${param}    KeyWord    ${keyWord}
    ${body}    Generate Params    FindPatientOrganizationsByPageAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${findPatientOrganizationsByPageAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
