*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getOrganizationByCodeAsyncUrl}    IOrganizationService

*** Keywords ***
GetOrganizationByCodeAsyncPost
    [Arguments]    ${token}    ${organizationCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    ${body}    Generate Params    GetOrganizationByCodeAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getOrganizationByCodeAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
