*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${url}            IPatientService

*** Keywords ***
CreatePatientAsyncPost
    [Arguments]    ${token}    ${patientData}    ${assignmentUserCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    PatientData    ${patientData}
    ${assignmentUserCodes}    Split String    ${assignmentUserCode}    ,
    Set To Dictionary    ${param}    AssignmentUserCodes    ${assignmentUserCodes}
    ${body}    Generate Params    CreatePatientAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${url}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
