*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${url}            IPatientService

*** Keywords ***
FindPatientsAsyncPost
    [Arguments]    ${token}    ${pageIndex}    ${pageSize}    ${keyWord}    ${startTime}    ${endTime}    ${isValid}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    PageIndex    ${pageIndex}
    Set To Dictionary    ${param}    PageSize    ${pageSize}
    Set To Dictionary    ${param}    KeyWord    ${keyWord}
    Set To Dictionary    ${param}    StartTime    ${startTime}
    Set To Dictionary    ${param}    EndTime    ${endTime}
    Set To Dictionary    ${param}    IsValid    ${isValid}
    ${body}    Generate Params    FindPatientsAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${url}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
