*** Settings ***
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot
Library           CustomLibrary

*** Variables ***
${addPositionsAsyncUrl}    IPositionService

*** Keywords ***
AddPositionsAsyncPost
    [Arguments]    ${token}    ${positionName}    ${organizationCode}    ${underUserCode}    ${fitDepartmentCode}    ${extendsData}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${positions}    Create List
    ${position}    Create Dictionary
    Set To Dictionary    ${position}    PositionName    ${positionName}
    Set To Dictionary    ${position}    OrganizationCode    ${organizationCode}
    ${underUserCodes}    Split String    ${underUserCode}
    Set To Dictionary    ${position}    UnderUserCodes    ${underUserCodes}
    Set To Dictionary    ${position}    FitDepartmentCode    ${fitDepartmentCode}
    Set To Dictionary    ${position}    ExtendsData    ${extendsData}
    Append To List    ${positions}    ${position}
    Set To Dictionary    ${param}    Positions    ${positions}
    ${body}    Generate Params    AddPositionsAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${addPositionsAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
