*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${commonSignUpAsyncUrl}    ILoginService

*** Keywords ***
CommonSignUpAsyncPost
    [Arguments]    ${anyaccount}    ${anycode}    ${password}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    AnyAccount    ${anyaccount}
    Set To Dictionary    ${param}    AnyCode    ${anycode}
    Set To Dictionary    ${param}    Password    ${password}
    ${HeaderMap}    Create Dictionary
    Set To Dictionary    ${param}    HeaderMap    ${HeaderMap}
    ${body}    Generate Params    CommonSignUpAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${commonSignUpAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
