*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getRoleByCodeAsyncUrl}    IRoleService

*** Keywords ***
GetRoleByCodeAsyncPost
    [Arguments]    ${token}    ${roleCode}    ${language}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    RoleCode    ${roleCode}
    Set To Dictionary    ${param}    Language    ${language}
    ${body}    Generate Params    GetRoleByCodeAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getRoleByCodeAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
