*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${removePositionsAsyncUrl}    IPositionService

*** Keywords ***
RemovePositionsAsyncPost
    [Arguments]    ${token}    ${positionCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${positionCodes}    Split String    ${positionCode}
    Set To Dictionary    ${param}    PositionCodes    ${positionCodes}
    ${body}    Generate Params    RemovePositionsAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${removePositionsAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
