*** Settings ***
Documentation     查找设备类型所有字典项
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/FindDeviceTypeItemsAsync.robot

*** Test Cases ***
Class_001_查找设备类型所有字典项
    #用户登录获取Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    #查找设备类型所有字典项
    ${res}    FindDeviceTypeItemsAsyncPost    ${token}    1
    #校验
    Should Not Be Empty    ${res}[content]

Exception_001_查找设备类型所有字典项，Token值正确性校验
    #查找设备类型所有字典项
    ${res}    FindDeviceTypeItemsAsyncPost    11111    1
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}

Exception_002_查找设备类型所有字典项，Token值非空校验
    #查找设备类型所有字典项
    ${res}    FindDeviceTypeItemsAsyncPost    ${EMPTY}    1
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}
