*** Settings ***
Library           Collections
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/SendEmailVerificationCodeAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_发送邮箱验证码
    [Template]
    ${result}    SendEmailVerificationCodeAsyncPost    jo.xue@vinno.com    zh-CN
    ${flag}    Result Analysis    ${result}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Exception_001_发送邮箱验证码，邮箱地址不符合规则
    [Template]
    ${result}    SendEmailVerificationCodeAsyncPost    jo.xue    zh-CN
    ${flag}    result_analysis    ${result}    false    ${6024}    Email formal error!
    Should Be True    ${flag}

Exception_003_发送邮箱验证码，邮箱地址非空校验
    [Template]
    ${result}    SendEmailVerificationCodeAsyncPost    ${EMPTY}    zh-CN
    ${flag}    result_analysis    ${result}    false    ${6024}    Email formal error!
    Should Be True    ${flag}

*** Keywords ***
