*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${removeOrganizationsAsyncUrl}    IOrganizationService

*** Keywords ***
RemoveOrganizationsAsyncPost
    [Arguments]    ${token}    ${organizationCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${organizationCodes}    Split String    ${organizationCode}    ,
    Set To Dictionary    ${param}    OrganizationCodes    ${organizationCodes}
    ${body}    Generate Params    RemoveOrganizationsAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${removeOrganizationsAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
