*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${savePersonOrganizationAsyncUrl}    IOrganizationService

*** Keywords ***
SavePersonOrganizationAsyncPost
    [Arguments]    ${token}    ${regionCode}    ${parentCode}    ${logoUrl}    ${organizationCode}    ${organizationName}    ${patientType}    ${isEncryptedShow}    ${referralLimitHours}    ${referralOrganizationCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    RegionCode    ${regionCode}
    Set To Dictionary    ${param}    ParentCode    ${parentCode}
    Set To Dictionary    ${param}    LogoUrl    ${logoUrl}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    OrganizationName    ${organizationName}
    ${patientType1}    Convert To Integer    ${patientType}
    Set To Dictionary    ${param}    PatientType    ${patientType1}
    ${isEncryptedShow1}    Convert To Boolean    ${isEncryptedShow}
    Set To Dictionary    ${param}    IsEncryptedShow    ${isEncryptedShow1}
    ${referralLimitHours1}    Convert To Integer    ${referralLimitHours}
    Set To Dictionary    ${param}    ReferralLimitHours    ${referralLimitHours1}
    ${referralOrganizationCodes}    Split String    ${referralOrganizationCode}    ,
    Set To Dictionary    ${param}    ReferralOrganizationCodes    ${referralOrganizationCodes}
    ${body}    Generate Params    SavePersonOrganizationAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${savePersonOrganizationAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
