*** Settings ***
Documentation     搜索组织
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${searchOrganizationsAsyncUrl}    IOrganizationService

*** Keywords ***
SearchOrganizationsAsyncPost
    [Arguments]    ${token}    ${keyword}    ${parentCode}    ${organizationType}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    Keyword    ${keyword}
    Set To Dictionary    ${param}    ParentCode    ${parentCode}
    ${organizationType1}    Convert To Integer    ${organizationType}
    Set To Dictionary    ${param}    OrganizationType    ${organizationType1}
    ${body}    Generate Params    SearchOrganizationsAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${searchOrganizationsAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}

SearchOrganizationsAsyncOrganizationCode
    [Arguments]    ${token}    ${keyword}    ${parentCode}    ${organizationType}
    ${response}    SearchOrganizationsAsyncPost    ${token}    ${keyword}    ${parentCode}    ${organizationType}
    ${content}    Get From Dictionary    ${response}    content
    ${organizationCode}    Get From Dictionary    ${content}[0]    OrganizationCode
    [Return]    ${organizationCode}
