*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${updateOrganizationNameAsyncUrl}    IOrganizationService

*** Keywords ***
UpdateOrganizationNameAsyncPost
    [Arguments]    ${token}    ${organizationCode}    ${organizationName}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    OrganizationName    ${organizationName}
    ${body}    Generate Params    UpdateOrganizationNameAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${updateOrganizationNameAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
