*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${alterPersonInfoAsyncUrl}    IUserService

*** Keywords ***
AlterPersonInfoAsyncPost
    [Arguments]    ${token}    ${nickName}    ${headImageUrl}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    NickName    ${nickName}
    Set To Dictionary    ${param}    HeadImageUrl    ${headImageUrl}
    ${body}    Generate Params    AlterPersonInfoAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${alterPersonInfoAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
