*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${applyForAsyncUrl}    IIdentityApplyService

*** Keywords ***
ApplyForAsyncPost
    [Arguments]    ${token}    ${extensionData}    ${applyRoleCode}    ${identityCard}    ${licenseCard}    ${fieldList}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    ExtensionData    ${extensionData}
    Set To Dictionary    ${param}    ApplyRoleCode    ${applyRoleCode}
    ${identityCards}    Split String    ${identityCard}    ,
    ${licenseCards}    Split String    ${licenseCard}    ,
    ${fieldLists}    Split String    ${fieldList}    ,
    Set To Dictionary    ${param}    IdentityCard    ${identityCards}
    Set To Dictionary    ${param}    LicenseCard    ${licenseCards}
    Set To Dictionary    ${param}    FieldList    ${fieldLists}
    ${body}    Generate Params    ApplyForAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${applyForAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
