*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${commonLoginAsyncUrl}    ILoginService

*** Keywords ***
CommonLoginAsyncPost
    [Arguments]    ${anyaccount}    ${anycode}    ${password}    ${platform}    ${loginSource}
    ${param}    CommonLoginAsync Param    ${anyaccount}    ${password}    ${platform}    ${loginSource}    ${anycode}
    Set To Dictionary    ${param}    AnyAccount    ${anyaccount}
    #Run Keyword If    '${anycode}'!='${EMPTY}'    Set To Dictionary    ${param}    AnyCode    ${anycode}
    Set To Dictionary    ${param}    AnyCode    ${anycode}
    Set To Dictionary    ${param}    Password    ${password}
    Set To Dictionary    ${param}    Platform    ${platform}
    Set To Dictionary    ${param}    LoginSource    ${loginSource}
    ${HeaderMap}    Create Dictionary
    Set To Dictionary    ${param}    HeaderMap    ${HeaderMap}
    ${body}    Generate Params    CommonLoginAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${commonLoginAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}

GetCommonLoginAsyncToken
    [Arguments]    ${anyaccount}    ${anycode}    ${password}    ${platform}    ${loginSource}
    ${res}    CommonLoginAsyncPost    ${anyaccount}    ${anycode}    ${password}    ${platform}    ${loginSource}
    ${content}    Get From Dictionary    ${res}    content
    ${token}    Get From Dictionary    ${content}    Token
    [Return]    ${token}
