*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getUserListAsyncUrl}    IUserService

*** Keywords ***
GetUserListAsyncPost
    [Arguments]    ${token}    ${keyword}    ${organizationQueryType}    ${organizationCode}    ${rankCode}    ${positionCode}    ${exceptSelf}    ${language}    ${roleCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    Keyword    ${keyword}
    Set To Dictionary    ${param}    OrganizationQueryType    ${organizationQueryType}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    RankCode    ${rankCode}
    Set To Dictionary    ${param}    PositionCode    ${positionCode}
    Set To Dictionary    ${param}    ExceptSelf    ${exceptSelf}
    Set To Dictionary    ${param}    Language    ${language}
    ${roleCodes}    Split String    ${roleCode}    ,
    Set To Dictionary    ${param}    RoleCodes    ${roleCodes}
    ${body}    Generate Params    GetUserListAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getUserListAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
