*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${removeUsersFromOrganizationAsyncUrl}    IUserService

*** Keywords ***
RemoveUsersFromOrganizationAsyncPost
    [Arguments]    ${token}    ${userCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${userCodes}    Split String    ${userCode}    ,
    Set To Dictionary    ${param}    UserCodes    ${userCodes}
    ${body}    Generate Params    RemoveUsersFromOrganizationAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${removeUsersFromOrganizationAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
