*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${setUserOrganizationInfoAsyncUrl}    IUserService

*** Keywords ***
SetUserOrganizationInfoAsyncPost
    [Arguments]    ${token}    ${userCode}    ${roleCode}    ${rankCode}    ${positionCode}    ${organizationCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    UserCode    ${userCode}
    ${roleCodes}    Split String    ${roleCode}    ,
    Set To Dictionary    ${param}    RoleCodes    ${roleCodes}
    ${rankCodes}    Split String    ${rankCode}    ,
    Set To Dictionary    ${param}    RankCodes    ${rankCodes}
    ${positionCodes}    Split String    ${positionCode}    ,
    Set To Dictionary    ${param}    PositionCodes    ${positionCodes}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    ${body}    Generate Params    SetUserOrganizationInfoAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${setUserOrganizationInfoAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
